Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8141 - Add functionality
Summary: Add functionality
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-03 16:31 UTC by Kendrick Vargas
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-08 21:00:20 UTC


Attachments (Terms of Use)

Description Kendrick Vargas 2000-01-03 16:31:04 UTC
This is a feature request/bug report. I'd like to request that
functionality be added somewhere to the daemon function
/etc/rc.d/init.d/functions ... It would be nice to have a --user option
that allows us to specify a user to run a process as.

Currently, I run the commands as:
	daemon 'su username -c "/path/to/mycommand --options"'

however this creates cosmetic problems with the current implementation of
daemon. It would be nice to run this as:

	daemon --user username '/path/to/mycommand --options'

I think this is a valid feature request and could be quite usefull in
future package installations.
			-peace

Comment 1 Bill Nottingham 2000-02-08 21:00:59 UTC
This has been added as of somewhere around 4.84 or so.


Note You need to log in before you can comment on or make changes to this bug.